net.minecraft.client.gui

## Class GuiSmallButton

- java.lang.Object
- - net.minecraft.client.gui.Gui
  - - net.minecraft.client.gui.GuiButton
    - - net.minecraft.client.gui.GuiSmallButton

-     public class GuiSmallButton
      extends GuiButton

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.client.gui.GuiButton

      `displayString, drawButton, enabled, id, xPosition, yPosition`

    - ### Fields inherited from class net.minecraft.client.gui.Gui

      `icons, optionsBackground, statIcons`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiSmallButton(int par1, int par2, int par3, EnumOptions par4EnumOptions, String par5Str)`
    `GuiSmallButton(int par1, int par2, int par3, int par4, int par5, String par6Str)`
    `GuiSmallButton(int par1, int par2, int par3, String par4Str)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EnumOptions` | `returnEnumOptions()`

    - ### Methods inherited from class net.minecraft.client.gui.GuiButton

      `drawButton, func_82251_b, func_82252_a, mousePressed, mouseReleased`

    - ### Methods inherited from class net.minecraft.client.gui.Gui

      `drawCenteredString, drawRect, drawString, drawTexturedModalRect, drawTexturedModelRectFromIcon`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GuiSmallButton

          public GuiSmallButton(int par1,
                        int par2,
                        int par3,
                        String par4Str)

    - #### GuiSmallButton

          public GuiSmallButton(int par1,
                        int par2,
                        int par3,
                        int par4,
                        int par5,
                        String par6Str)

    - #### GuiSmallButton

          public GuiSmallButton(int par1,
                        int par2,
                        int par3,
                        EnumOptions par4EnumOptions,
                        String par5Str)

  - ### Method Detail

    - #### returnEnumOptions

          public EnumOptions returnEnumOptions()